<?php

use api\classes\API;

session_start();
require_once "{$_SERVER['DOCUMENT_ROOT']}/api/classes/API.php";

$API = new API();

if ($API->request_method === 'GET') {
    # this is used by js scripts to get the locale of the user
    $locale = getPreferredLocale();

    $translations = require $_SERVER['DOCUMENT_ROOT'] . "/bin/locales/{$locale}.php";

    header("Cache-Control: public, max-age=3600");
    header('Content-Type: application/json; charset=utf-8');

    echo json_encode($translations, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);

}